#ifndef __KYLINKEYBOARDINTERFACE_H__
#define __KYLINKEYBOARDINTERFACE_H__

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

//Initialize the DBus Communication
bool InitDBusKeyboard(void);

//Delete the DBus Communication
bool DeInitDBusKeyboard(void);

/*
 * Repeat the key when holding down a key.
 *
 */
void kylin_hardware_keyboard_repeat(const bool in_arg);

/*
 * Speed.
 */
void kylin_hardware_keyboard_rate(const int in_arg);

/*
 * Time delay.
 */
void kylin_hardware_keyboard_delay(const int in_arg);

#ifdef __cplusplus
}
#endif

#endif













