#ifndef __KYLINSCREENSAVERINTERFACE_H__
#define __KYLINSCREENSAVERINTERFACE_H__

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

//Initialize the DBus Communication
bool InitDBusScreensaver(void);

//Delete the DBus Communication
bool DeInitDBusScreensaver(void);

/*
 * Set this to TRUE to activate the screensaver when the session is idle.
 *
 */
void kylin_hardware_power_idleactivationenabled(const bool in_arg);

/*
 * Set this to TRUE to lock the screen when the screensaver goes active.
 */
void kylin_hardware_power_lockenabled(const bool in_arg);

#ifdef __cplusplus
}
#endif

#endif













