#ifndef KYLINVERSIONINTERFACE_H
#define KYLINVERSIONINTERFACE_H

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct
{
    char *subVersionName;
    int credibility;//可信度0-100；
}subVersionCredibility;

/*
 * Gets the current subversion list.
 * return a struct pointer.
 */
subVersionCredibility *kylin_os_sysinfo_getchildrroup();

/*
 * Verify whether it is a given subversion.
 * @version is the name of subversion.
 * return the credibility of subversion.
 */
int kylin_os_sysinfo_verifysubversion(const char *version);

#ifdef __cplusplus
}
#endif

#endif // KYLINVERSIONINTERFACE_H
