#ifndef __KYLININTERFACEINTERFACE_H__
#define __KYLININTERFACEINTERFACE_H__

#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

//Initialize the DBus Communication
bool InitDBusInterface(void);

//Delete the DBus Communication
bool DeInitDBusInterface(void);

/*
 * Cursor Blink
 *
 */
void kylin_hardware_keyboard_cursorblink(const bool in_arg);

/*
 * Cursor Blink Time
 *
 */
void kylin_hardware_keyboard_cursorblinktime(const int in_arg);

/*
 * Name of the default font used by gtk+.
 *
 */
void kylin_personal_fonts_fontname(const char *in_arg);

/*
 * Name of the default font used for reading documents.
 */
void kylin_personal_fonts_documentfont(const char *in_arg);

/*
 * Name of a monospaced (fixed-width) font for use in locations like terminals.
 */
void kylin_personal_fonts_monospacefont(const char *in_arg);
#ifdef __cplusplus
}
#endif

#endif













